// Oleg Petruny proprietary.

#pragma once

#include "CoreMinimal.h"

#include "Modules/ModuleInterface.h"
#include "Modules/ModuleManager.h"

class FLost_EdgeShaders : public IModuleInterface
{
public:
    static inline FLost_EdgeShaders& Get()
    {
        return FModuleManager::LoadModuleChecked<FLost_EdgeShaders>("Lost_EdgeShaders");
    }

    static inline bool IsAvailable()
    {
        return FModuleManager::Get().IsModuleLoaded("Lost_EdgeShaders");
    }

public:
    virtual void StartupModule() override;
    virtual void ShutdownModule() override;
};